export class TblReservacion {
    rnreser: number = 0;
    rfecres: Date = null;
    propiedad: string = '';
    ncte: number = 0;
    rapellido: string = '';
    rnombre: string = '';
    titulo: string = '';
    rdireccion1: string = '';
    rdireccion2: string = '';
    rciudad: string = '';
    estado: string = '';
    pais: string = '';
    rcp: string = '';
    rtelefono: string = '';
    rfc: string = '';
    Empresa: string = '';
    rreserva: string = '';
    rtreserva: string = '';
    remail: string = '';
    emailconf: string = '';
    VIP: string = '';
    ridioma: string = '';
    Agencia: string = '';
    rallot: string = '';
    ragencia: string = '';
    grupo: string = '';
    rngrupo: number = 0;
    rhora: string = '';
    rhsal: string = '';
    rforma: string = '';
    rfp: string = '';
    rdfp: string = '';
    treser: string = '';
    segmento: string = '';
    vendedor: string = '';
    estad1: string = '';
    estad2: string = '';
    estad3: string = '';
    estad4: string = '';
    estad5: string = '';
    estad6: string = '';
    origen: string = '';
    rconfirmacion: string = '';
    rfecconf: Date = null;
    reactual: string = 'VI';
    rfecuc: Date = null;
    rtfola: number = 0;
    rtfolb: number = 0;
    rtfolc: number = 0;
    rtfold: number = 0;
    rtfole: number = 0;
    rtfolf: number = 0;
    rcomp: number = 0;
    rtmov: string = '';
    rope: string = '';
    numce: number = 0;
    ce1: string = '';
    ce2: string = '';
    ce3: string = '';
    ce4: string = '';
    ce5: string = '';
    ce6: string = '';
    ce7: string = '';
    ce8: string = '';
    ce9: string = '';
    ce10: string = '';
    ce11: string = '';
    ce12: string = '';
    ce13: string = '';
    ce14: string = '';
    ce15: string = '';
    ce16: string = '';
    ce17: string = '';
    ce18: string = '';
    ce19: string = '';
    ce20: string = '';
    ce21: string = '';
    ce22: string = '';
    ce23: string = '';
    ce24: string = '';
    ce25: string = '';
    ce26: string = '';
    ce27: string = '';
    ce28: string = '';
    ce29: string = '';
    ce30: string = '';
    ce31: string = '';
    ce32: string = '';
    ce33: string = '';
    ce34: string = '';
    ce35: string = '';
    ce36: string = '';
    ce37: string = '';
    ce38: string = '';
    ce39: string = '';
    ce40: string = '';
    ce41: string = '';
    ce42: string = '';
    ce43: string = '';
    ce44: string = '';
    ce45: string = '';
    ce46: string = '';
    ce47: string = '';
    ce48: string = '';
    ce49: string = '';
    ce50: string = '';
    etipreg = ['', '', '', '', ''];
    etinotas = ['', '', '', '', ''];
    etiresp = ['', '', '', '', ''];
    fpe: string = '';
    dfpe: string = '';
    Contrato: string = '';
    ldepositos: boolean = false;
    lsolicitud: boolean = false;
    lmensajes: boolean = false;
    lnotas: boolean = false;
    lcargos: boolean = false;
    lreqesp: boolean = false;
    ladicional: boolean = false;
    lcomparte: boolean = false;
    lviajando: boolean = false;
    ldistancia: boolean = false;
    ltv: boolean = false;
    linternet: boolean = false;
    lallot: boolean = false;
    cMovRes: string = '';
    EchoToken: string = '';
    CompanyName: string = '';
    HotelCode: string = '';
    iVersion: string = '';
    cMotivo: string = '';
    cRazon: string = '';
    PreConf: string = '';
    rreply: boolean = false;
    rsist: string = '';
    rnum: number = 0;
    iModID: number = 0;
    cRowID: string = '';
    lError: boolean = false;
    cErrDes: string = '';
}
